Module javafx.controls
Package javafx.scene.control.skin

# Class PaginationSkin

java.lang.Object
javafx.scene.control.SkinBase<Pagination>
javafx.scene.control.skin.PaginationSkin

All Implemented Interfaces:
  `Skin<Pagination>`

public class PaginationSkin extends SkinBase<Pagination>
Default skin implementation for the `Pagination` control.

Since:
  9
See Also:
  - `Pagination`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PaginationSkin(Pagination control)`
  Creates a new PaginationSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static List<CssMetaData<? extends Styleable,?>>`
  `getClassCssMetaData()`
  Returns the CssMetaData associated with this class, which may include the CssMetaData of its superclasses.

  ### Methods declared in class javafx.scene.control.SkinBase

  `computeBaselineOffset, computeMaxHeight, computeMaxWidth, computeMinHeight, computeMinWidth, computePrefHeight, computePrefWidth, consumeMouseEvents, dispose, executeAccessibleAction, getChildren, getCssMetaData, getNode, getSkinnable, layoutChildren, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, queryAccessibleAttribute, registerChangeListener, registerInvalidationListener, registerListChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners, unregisterInvalidationListeners, unregisterListChangeListeners`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface javafx.scene.control.Skin

  `install`

- ## Constructor Details

  - ### PaginationSkin

    public PaginationSkin(Pagination control)
    Creates a new PaginationSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.
    Parameters:
      `control` - The control that this skin should be installed onto.

- ## Method Details

  - ### getClassCssMetaData

    public static List<CssMetaData<? extends Styleable,?>> getClassCssMetaData()
    Returns the CssMetaData associated with this class, which may include the CssMetaData of its superclasses.
    Returns:
      the CssMetaData associated with this class, which may include the CssMetaData of its superclasses